### Class

# Cogl Attribute

#### Description

    final class Cogl.Attribute : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### cogl_attribute_new

Describes the layout for a list of vertex attribute values (For example, a list of texture coordinates or colors).

###### cogl_attribute_new_const_1f

Creates a new, single component, attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_2f

Creates a new, 2 component, attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_2fv

Creates a new, 2 component, attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_2x2fv

Creates a new matrix attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_3f

Creates a new, 3 component, attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_3fv

Creates a new, 3 component, attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_3x3fv

Creates a new matrix attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_4f

Creates a new, 4 component, attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_4fv

Creates a new, 4 component, attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

###### cogl_attribute_new_const_4x4fv

Creates a new matrix attribute whose value remains constant across all the vertices of a primitive without needing to duplicate the value for each vertex.

#### Instance methods

###### cogl_attribute_get_buffer

No description available.

###### cogl_attribute_get_normalized

No description available.

###### cogl_attribute_set_buffer

Sets a new `CoglAttributeBuffer` for the attribute.

###### cogl_attribute_set_normalized

Sets whether fixed point attribute types are mapped to the range 0→1. For example when this property is TRUE and a `COGL_ATTRIBUTE_TYPE_UNSIGNED_BYTE` type is used then the value 255 will be mapped to 1.0.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglAttributeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.